/*
  Nov 20 1998 version 2.0e - Improved comm. error detection for unix systems (no affect on Win32)
  Nov 27 1998 version 2.0f - Fixed bug in is_LocalControl -- it was getting the local control
                             status of the NEXT number in the list.
*/

#define VERSIONMAJOR 2
#define VERSIONMINOR 0
#define VERSIONMINOR2 'f'

#ifdef WIN32
   #define comm_errno GetLastError()
   #define BLOCKING_ERROR WSAEWOULDBLOCK
#endif
#ifdef UNIX
   #define comm_errno errno
   #define BLOCKING_ERROR EAGAIN
// #define BLOCKING_ERROR EWOULDBLOCK
   #define Sleep(x) usleep((x)*1000)
   #define closesocket(x) close(x)
   #define SOCKET int
   #define INVALID_SOCKET -1
   #define stricmp(x,y)  strcasecmp(x,y)
   #define BOOL int
#endif

